<?xml version="1.0" encoding="UTF-8"?>
<!-- <!ENTITY % y2_files_scripts "source|interpreter"> -->
<grammar ns="http://www.suse.com/1.0/yast2ns" xmlns="http://relaxng.org/ns/structure/1.0">
  <define name="y2_files">
    <choice>
      <ref name="file_contents"/>
      <ref name="file_path"/>
      <ref name="file_permissions"/>
      <ref name="file_owner"/>
      <ref name="file_script"/>
    </choice>
  </define>
  <define name="files">
    <element name="files">
      <ref name="LIST"/>
      <oneOrMore>
        <element name="file">
          <zeroOrMore>
            <ref name="y2_files"/>
          </zeroOrMore>
        </element>
      </oneOrMore>
    </element>
  </define>
  <define name="file_contents">
    <element name="file_contents">
      <text/>
    </element>
  </define>
  <define name="file_path">
    <element name="file_path">
      <text/>
    </element>
  </define>
  <define name="file_permissions">
    <element name="file_permissions">
      <text/>
    </element>
  </define>
  <define name="file_owner">
    <element name="file_owner">
      <text/>
    </element>
  </define>
  <define name="file_script">
    <element name="file_script">
      <ref name="interpreter"/>
      <ref name="source"/>
    </element>
  </define>
</grammar>
